<!--
 * @Author: liuJie
 * @Date: 2026-02-03 17:55:50
 * @LastEditors: liuJie
 * @LastEditTime: 2026-02-24 17:29:40
 * @Describe: file describe
-->
<template>
  <div class="safety-platform-container">
    <header class="safety-platform-container__header">
      <BreadcrumbBack />
      <span class="breadcrumb-title">{{ headerTitle }}</span>
    </header>
    <EmployeeTrainingRecordCardManagementDetail />
  </div>
</template>

<script setup lang="ts">
  import { computed } from 'vue';
  import { useRoute } from 'vue-router';
  import BreadcrumbBack from '@/components/BreadcrumbBack.vue';
  import EmployeeTrainingRecordCardManagementDetail from './components/employeeTrainingRecordCardManagementDetail.vue';

  const route = useRoute();
  const operate = route.query.operate as string;

  const headerTitle = computed(() => {
    switch (operate) {
      case 'employee-training-record-card-management-create':
        return '新增员工培训记录卡';
      case 'employee-training-record-card-management-edit':
        return '编辑员工培训记录卡';
      case 'employee-training-record-card-management-view':
        return '查看员工培训记录卡';
      default:
        return '未知操作';
    }
  });
</script>

<style scoped lang="scss">
  @use '@/styles/page-details-layout.scss' as *;
  @use '@/styles/page-main-layout.scss' as *;

  .safety-platform-container__header {
    flex-direction: row !important;
    justify-content: flex-start !important;
    gap: 8px !important;
  }
</style>
